Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.explorer
Class ExplorerFindFileModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          madkit.explorer.ExplorerFindFileModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class ExplorerFindFileModel

extends javax.swing.table.AbstractTableModel

Author:
  B_ROUIFED To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments
See Also:
  Serialized Form

Field Summary
`protected java.lang.Class[]` | `columnClasses`
`protected java.lang.String[]` | `columnNames`
`protected java.io.File` | `dir`
`protected java.lang.String[]` | `fileNames`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`ExplorerFindFileModel()`
`ExplorerFindFileModel(java.io.File dir, java.io.File file)`

Method Summary
`java.util.Vector` | `findDirectories(java.lang.String dirString, java.lang.String nameToFind)`
`java.lang.Class` | `getColumnClass(int col)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int col)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int row, int col)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dir

    protected java.io.File dir

### fileNames

    protected java.lang.String[] fileNames

### columnNames

    protected java.lang.String[] columnNames

### columnClasses

    protected java.lang.Class[] columnClasses

Constructor Detail

### ExplorerFindFileModel

    public ExplorerFindFileModel()

### ExplorerFindFileModel

    public ExplorerFindFileModel(java.io.File dir,
                                 java.io.File file)

Method Detail

### getColumnCount

    public int getColumnCount()

### getRowCount

    public int getRowCount()

### getColumnName

    public java.lang.String getColumnName(int col)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### getColumnClass

    public java.lang.Class getColumnClass(int col)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

### findDirectories

    public java.util.Vector findDirectories(java.lang.String dirString,
                                            java.lang.String nameToFind)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.